Find an Arc using ssget at some tolerance

Discussion in 'AutoCAD' started by RaghuMN, Jul 2, 2004.

  1. RaghuMN

    RaghuMN Guest

    Hi all

    I want to find an arc around a point within a radius of 0.7 units. Tried as below.

    (setq pt1 (getpoint))
    (setq pt2 (ssget "X" (list '(0 . "ARC")
    '(-4 . "<AND")
    '(-4 . ">=,>=,>=")(cons 10 (mapcar '- pt1 0.7))
    '(-4 . "<=,<=,<=")(cons 10 (mapcar '+ pt1 0.7))
    '(-4 . "AND>")
    )
    )
    )

    This gives an error of listp 0.7.

    What wrong am I doing?

    Please help.

    Thanks,
    MNRaghu
     
    RaghuMN, Jul 2, 2004
    #1
  2. RaghuMN

    Jürg Menzi Guest

    Hi RaghuMN

    '(-4 . ">=,>=,>=")(cons 10 (mapcar '- pt1 '(0.7 0.7 0.7)))
    '(-4 . "<=,<=,<=")(cons 10 (mapcar '+ pt1 '(0.7 0.7 0.7)))

    Cheers
     
    Jürg Menzi, Jul 2, 2004
    #2
  3. RaghuMN

    RaghuMN Guest

    Thanks Juerg,
    That solved my problem.
    MNRghu
     
    RaghuMN, Jul 3, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.